import * as React from 'react';
import { ATEditorProps, ATUser } from './types';
export default class ATEditor extends React.PureComponent<ATEditorProps> {
    static DEFAULT_MATCH: RegExp;
    static defaultProps: {
        formatAtUser: (user: ATUser) => string;
        matchFormattedTextReg: RegExp;
    };
    private defaultValue;
    private value;
    private atList;
    private eventCount;
    private delaySetSelectionHandle;
    private textInput;
    private range;
    private inputText;
    private selectionPosition?;
    constructor(props: ATEditorProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private cancelFrame;
    private sortAtList;
    private parseFormattedText;
    private formatWithAtList;
    private triggerChangeCallback;
    private updateAtList;
    private updateValue;
    private getLastNativeSelection;
    trigger: () => void;
    addAtUser: (user: ATUser) => void;
    private onChangeText;
    private onTextInput;
    render(): JSX.Element;
}
